Index: cryptroot-script
===================================================================
--- cryptroot-script	(Revision 976)
+++ cryptroot-script	(Arbeitskopie)
@@ -248,12 +248,20 @@
 		fi
 
 		if [ -z "$cryptkeyscript" ]; then
-			cryptkey="Unlocking the disk $cryptsource ($crypttarget)\nEnter passphrase: "
+			if [ ${cryptsource#/dev/disk/by-uuid/} != $cryptsource ]
+			then
+				# UUIDs are not very helpful
+				diskname="$crypttarget"
+			else
+				diskname="$cryptsource ($crypttarget)"
+			fi
 			if [ -x /bin/plymouth ] && plymouth --ping; then
 				cryptkeyscript="plymouth ask-for-password --prompt"
-				cryptkey=$(printf "$cryptkey")
+				# Plymouth will add a : if it is a non-graphical prompt
+				cryptkey="Please unlock disk $diskname"
 			else
 				cryptkeyscript="/lib/cryptsetup/askpass"
+				cryptkey="Please unlock disk $diskname: "
 			fi
 		fi
 
